Subject: Re: 1.5.19-4: sshd: "child_copy: linked dll data write copy failed" after computer reboot (Windows 2003 Server SP1)
From: René Krell <[email-masked]>
To: [email-masked]
Cc: René Berber <[email-masked]>
Date: Fri, 2 Jun 2006 09:25:12 +0200

Hi René,

The note about Windows 2003 Server and ssh-host-config I noticed but ignored, 
because the reasons for doing this mentioned there were obviously different 
from my problem. Either you have a permission to do something or not, but not 
only sometimes (after simply restarting the service).
I will check your recommendation ASAP.

The main reason for using the LocalSystem account instead of a different one 
is that I want to allow interactive applications to appear in Windows, which 
isn't definitely allowed by cygrunsrv and probably generally in Windows with 
a separated sshd account.

Thanks,
RK

On Wednesday 31 May 2006 19:56, René Berber wrote:
> René Krell wrote:
> > I installed Cygwin rel. 1.5.19-4 on Windows 2003 Server SP1.
>
> [snip]
>
> > After installing I launched ssh-host-config and activated the sshd system
> > service.
>
> [snip]
>
> > Service             : sshd
> > Display name        : CYGWIN sshd
> > Current State       : Running
> > Controls Accepted   : Stop
> > Command             : /usr/sbin/sshd -D
> > stdin path          : /dev/null
> > stdout path         : /var/log/sshd.log
> > stderr path         : /var/log/sshd.log
> > Environment         : CYGWIN="ntsec"
> > Process Type        : Own Process
> > Startup             : Automatic
> > Dependencies        : tcpip
> > Account             : LocalSystem
>
> ------------------------^^^^^^^^^^^
> That is your problem.
>
> [snip]
>
> You didn't follow the recommendations of ssh-host-config, which also are
> explained in /usr/share/doc/Cygwin/openssh.README, specially the part that
> says:
>
>   "Important note for Windows 2003 Server users:"

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/